Cartographica 1.4.2 compatible with Mavericks

We have been testing against Mavericks since the early betas and the 1.4.2 version of Cartographica works well with it.   At this point, we aren't taking advantage of any Mavericks-specific features, but we have found on our test machines that the upgrade is a good performance move, especially for laptops.

Other ClueTrust software, such as LoadMyTracks, has also been tested and works fine with Mavericks (excepting, of course, the long-standing issue with the Mac AppStore version of LoadMyTracks and serial devices due to Apple's policy change).

Although we haven't tested any of the 1.2.x versions on Mavericks in detail, we have done basic compatibility tests with that version and it appears to also be working fine.   If you find any issues, please alert us to the problems, but we would strongly suggest moving to 1.4.2 if you are running Mavericks.

For the future, we're contemplating what the move to free for Mavericks means for Cartographica's OS support.   There are some clear benefits to moving to 10.9+ only for future versions and we are contemplating this right now.   Considering that we are already 10.7+ only and there were few machines that were abandoned by 10.9 which could also run 10.7, it is likely that we will make this leap.   If you have a strong feeling about this issue, please contact us.